Bug 1427522 - Cancel edit cloud subnet throw undefined method `empty?' for nil:NilClass
Summary: Cancel edit cloud subnet throw undefined method `empty?' for nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Eric Hayes
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:ui
Depends On: 1426908
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-28 13:40 UTC by Satoe Imaishi
Modified: 2017-08-30 03:46 UTC (History)
6 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1426908
Environment:
Last Closed: 2017-04-12 14:40:28 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-09 18:45:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/65538bdc62e7b69ea54322de291cf7c2ef5e24cf

commit 65538bdc62e7b69ea54322de291cf7c2ef5e24cf
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Feb 27 12:54:13 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 9 13:44:36 2017 -0500

    Merge pull request #501 from hayesr/fix_nil_error_on_cancel
    
    Fix an error when cancelling from edit subnet screen
    (cherry picked from commit a945631a4f35c06333bdaa2b3c2bbfe3c9f51cc7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1427522

 app/controllers/cloud_subnet_controller.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 3 Ronnie Rasouli 2017-03-23 06:40:06 UTC
verified on 5.7.2.0

Comment 5 errata-xmlrpc 2017-04-12 14:40:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.